0
$\begingroup$

Rosanswers logo

Hi

I am following the tutorial for Parallax Eddie Robot from Ros all the way up to step 6 and got stuck there. When I first trying to "rosmake" it, it told me this:

[ rosmake ] WARNING: The following args could not be parsed as stacks or packages: ['eddiebotdsdadsadsa'] [ rosmake ] ERROR: No arguments could be parsed into valid package or stack names.

After I searched around and changed the ROS_PACKAGE_PATH, I got different errors each time.

christopher@christopher-Lenovo-G770:~$ export ROS_PACKAGE_PATH=/home/christopher/fuerte_workspace/sandbox:/opt/ros/fuerte/share:/opt/ros/fuerte/stacks:/home/christopher/eddiebot-master christopher@christopher-Lenovo-G770:~$ rosmake eddiebot [ rosmake ] rosmake starting...
[ rosmake ] Packages requested are: ['eddiebot']
[ rosmake ] Logging to directory /home/christopher/.ros/rosmake/rosmake_output-20130517-141651 [ rosmake ] Expanded args ['eddiebot'] to: ['eddiebot_description', 'eddiebot_driver', 'eddiebot_node', 'eddiebot_bringup'] cannot find required resource: joystick_drivers ROS path [0]=/opt/ros/fuerte/share/ros ROS path [1]=/home/christopher/fuerte_workspace/sandbox ROS path [2]=/opt/ros/fuerte/share ROS path [3]=/opt/ros/fuerte/stacks ROS path [4]=/home/christopher/eddiebot-master

christopher@christopher-Lenovo-G770:~$ rosmake eddiebot [ rosmake ] rosmake starting...
[ rosmake ] Packages requested are: ['eddiebot']
[ rosmake ] Logging to directory /home/christopher/.ros/rosmake/rosmake_output-20130517-140545 [ rosmake ] Expanded args ['eddiebot'] to: ['eddiebot_description', 'eddiebot_driver', 'eddiebot_node', 'eddiebot_bringup'] cannot find required resource: common_msgs ROS path [0]=/opt/ros/fuerte/share/ros ROS path [1]=/home/christopher/eddiebot

Thank you


Originally posted by ChristopherX on ROS Answers with karma: 1 on 2013-05-17

Post score: 0


Original comments

Comment by tfoote on 2014-07-03:
Please link to the tutorial you are following.

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I just had the same problem and the above answers did not work for me. However, I followed the directions in the following link and I'm now a little further along. It looks like you basically have to install each package needed.

link text


Originally posted by Dan with karma: 16 on 2014-07-06

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.